
# prerequisites and notes:
# 1. R library "L1pack" must be installed before use
# 2. residuals printout format differs between LSQ and LAR models

cat("===================================")
cat("===================================\n")

df <- read.csv("data.csv")
cat("\nLeast-Squares (LSQ) Model:\n")
LSQmodel <- lm(reqs ~ hour + sine, data=df)
summary(LSQmodel)
cat("LSQ_coeff\n")
print(LSQmodel$coefficients)
cat("LSQ_residuals_begin\n")
print(LSQmodel$residuals)
cat("LSQ_residuals_end\n")

cat("===================================")
cat("===================================\n")

cat("\nLeast-Absolute-Residuals (LAR) Model:\n")
library(L1pack)
LARmodel <- l1fit(df[,2:3], df[,1])
summary(LARmodel)
cat("LAR_coeff\n")
print(LARmodel$coefficients)
cat("LAR_residuals_begin\n")
print(LARmodel$residuals)
cat("LAR_residuals_end\n")

cat("===================================")
cat("===================================\n")

