#!/usr/bin/gawk -f

BEGIN {
    LINT = 1;
    srand(987654321);
    PI = atan2(0, -1);
    N = 24*8;     # number of data points
    B = 2000;     # base of intercept
    S = 15000/N;  # slope
    A = 2000;     # amplitude of sine wave
    R = 2000;     # randomness amplitude
    # because we draw the random term from a uniform distribution,
    # the expected value of the intercept is B + R/2
    print "hour,reqs";
    for (X = 0; X < N; X++) {
        print X "," int(B + S * X + A * sin((X/24)*2*PI) + R * rand());
    }
}

