
# set border 3
unset border
set xtics nomirror
set ytics nomirror
set style data points
set xrange [-10:192]
set yrange [-1500:25000]
set xlabel "time (hours)"
set ylabel "requests per hour"
set ytics 0,5000
# set mytics 5
set xtics 0,24
set size ratio .4
set term post enhanced color eps "Times-Roman" 18
unset key

set label "LAR fit" at -2,8300 textcolor rgb "blue"
set label "Least-squares fit" at 24,16000 textcolor rgb "red"
set label "overload" at 20,25000
set label "outage" at 155,3000

set output "omodels.eps"

plot "< gawk -F, '1<FNR{print $1,$2}' outl0.csv" pt 6 ps .66 black t "" , [0:] 14687.71981 + -39.19324 * x + 989.03731 * sin((x/24)*2*pi) w lines \
lt 1 lc rgb "red" t "Least Squares", \
[0:] 4523.20007 + 62.30084 * x + 1753.95937 * sin((x/24)*2*pi) w lines \
lt 1 lc rgb "blue" t "LAR" \
