
set term post enhanced color eps "Times-Roman" 24
set border 3
set xtics nomirror
set ytics nomirror
unset key
# set logscale x
set xrange [-20000:20000]
set xtics -20000,10000
set mxtics 5
set yrange [-.05:1]
set ytics 0,.25,1
set mytics 5
set xlabel "value of residual (data point minus fitted model)"
set ylabel "fraction  ~{/Symbol <}\\_  {/Times:Italic x}"

set label "Least squares" at -15000,.35 textcolor rgb "red"
set label "LAR"           at  -2000,.90 textcolor rgb "blue"
set label "overload"      at  15000,.80 rotate by 45 textcolor rgb "blue"
set label "outage"        at -18500,.03 rotate by 45 textcolor rgb "blue"
set label "ordinary operation" at -300,0 rotate by 83 textcolor rgb "blue"

set output "resid_outl_neg_cdf.eps"

plot "< cat resid.outl.LSQ | gawk '{print $2}' | sort -n | gawk '{print $1, ++n/192;}'" w steps lt 1 lw 2 lc rgb "red", \
     "< cat resid.outl.LAR | gawk '{print $2}' | sort -n | gawk '{print $1, ++n/192;}'" w steps lt 1 lw 2 lc rgb "blue"

